;+=----------------------------------------------------------------------------
; Name   : color_getidx
; RCS    : $Id: color_getidx.pro,v 2.0 2004/08/05 17:54:01 olivert Exp olivert $
; Type   : Function
; Args   : char[] colorname : one of the 16 standard VGA color names
; Return : int index        : the index as set in color_init to the given colorname
;          .                  or '0' (=black) if unknown
; Desc   : see color_init for color settings
; Author : (c) Oliver Thilmann, oliver.thilmann@web.de, Dec. 2002
; Licns  : This program is published under the GPL. See gpl.txt for details
;=-----------------------------------------------------------------------------
function color_getidx, colname
	case colname of
		'black'   : return, 0
		'white'   : return, 1
		'red'     : return, 2
		'green'   : return, 3
		'blue'    : return, 4
		'maroon'  : return, 5
		'lime'    : return, 6
		'olive'   : return, 7
		'yellow'  : return, 8
		'navy'    : return, 9
		'purple'  : return, 10
		'fuchsia' : return, 11
		'teal'    : return, 12
		'aqua'    : return, 13
		'silver'  : return, 14
		'gray'    : return, 15
		else      : return, 0
	end
end
