;+=----------------------------------------------------------------------------
; Name   : color_init
; RCS    : $Id: color_init.pro,v 1.5 2003/11/21 11:01:15 OliverT Exp OliverT $
; Type   : Procedure
; Ret    : red   = int[16] : returns the red values of the color table
;          green = int[16] : dito for green
;          blue  = int[16] : dito for blue
; Desc   : initialize a color table which corresponds to the 16 standard VGA
;          colornames and load it via tvlct.
;          The color names are:
;          black   #000000
;          white   #FFFFFF
;          red     #FF0000
;          green   #008000
;          blue    #0000FF
;          maroon  #800000
;          lime    #00FF00
;          olive   #808000
;          yellow  #FFFF00
;          navy    #000080
;          purple  #800080
;          fuchsia #FF00FF
;          teal    #008080
;          aqua    #00FFFF
;          silver  #C0C0C0
;          gray    #808080
; Author : (c) Oliver Thilmann, oliver.thilmann@web.de, Dec.2002
; Licns  : This program is published under the GPL. See gpl.txt for details
;=-----------------------------------------------------------------------------
pro color_init, red=red, green=gre, blue=blu

; don't try to decompose on devices which don't support it
if( !D.NAME eq 'WIN' or !D.NAME eq 'X' ) then device, decomposed=0

red = [0,255,255,0,0,128,0,128,255,0,128,255,0,0,196,128]
gre = [0,255,0,128,0,0,255,128,255,0,0,0,128,255,196,128]
blu = [0,255,0,0,255,0,0,0,0,128,128,255,128,255,196,128]

tvlct, red, gre, blu

end
