;+=----------------------------------------------------------------------------
; Name   : dirname
; RCS    : $Id: dirname.pro,v 2.1 2004/11/10 16:51:27 olivert Exp olivert $
; Syntax : dir = dirname('c:/idl/lib/file.pro')
; Args   : string filename
; Ret    : Returns the directory (i.e. the path) of filename, without a
;          trailing separator. If no path could be found, an empty string
;          is returned. If the last character of the argument is a path
;          separator, the argument is interpreted as a 'pure' path and
;          returned as is (with the last separator cut off).
;          Please note that IDL's built-in file_dirname <i>always</i>
;          removes the last element (file or part of path) of the argument,
;          so this implementation hopefully makes a bit more sense.
;          OS issues (different separators) are taken into account.
; Code   : directory = dirname('F:\IDL\docu\wassweissich.html')
;          will return F:\IDL\docu
;          print, dirname('F:\IDL\docu\'), '   ', dirname('F:\idl\docu')
;          will print  F:\IDL\docu   F:\idl
; Author : (c) Oliver Thilmann, Feb 2002, oliver.thilmann@web.de
; Licns  : This program is published under the GPL. See gpl.txt for details
;=-----------------------------------------------------------------------------
function dirname, file
	sep = path_sep()
	id  = strpos( file, sep, /reverse_search )    ; get pos of last separator
	if( id eq -1 ) then return, ''                ; no separator
	return, strmid( file, 0, id )
end
