;+=----------------------------------------------------------------------------
; Name  : mrRoiDot
; RCS   : $Id: mrroidot__define.pro,v 2.0 2004/08/05 18:13:23 olivert Exp olivert $
; Desc  : A 'dot' like roi
; Author: (c) Oliver Thilmann, oliver.thilmann@web.de, Jan 2003
; Licns : This program is published under the GPL. See gpl.txt for details
;=-----------------------------------------------------------------------------


;==============================================================================
;
;                          CONSTRUCTORS AND DESTRUCTORS
;
;==============================================================================


;+=----------------------------------------------------------------------------
; Name  : mrRoiDot::init
; Type  : Function
; Args  : int x  : starting point in x
;         int y  : starting point in y
;         EXTRA  : see mrRoi::init
; Ret   : true or false
;=-----------------------------------------------------------------------------
function mrRoiDot::init, x, y, _EXTRA=e
 	if( self->mrRoi::Init(x, y, _EXTRA=e) ne 1 ) then return, 0
	return, 1
end

;+=----------------------------------------------------------------------------
; Name  : mrRoiDot::calcFilledMask
; Type  : Private procedure
; Desc  : While all other roi types calculate the mask with mask_rule=2 (i.e.
;         including the border), this would make the dot a 3x3 pixel roi.
;         So we override the method in mrRoi and calculate with mask_rule
;         set to 1
;=-----------------------------------------------------------------------------
pro mrroidot::calcFilledMask
	mask = self->computeMask( dimensions=self.maskSize, initialize=0, mask_rule=1)
	mask = mask and 1
	ptr_free, self.filledMask
	self.filledMask = ptr_new( mask, /no_copy )
end

;+=----------------------------------------------------------------------------
; Name  : mrRoiDot::calcFramedMask
; Type  : Private procedure
; Desc  : see mrRoiDot::calcFilledMask
;=-----------------------------------------------------------------------------
pro mrRoiDot::calcFramedMask
	mask = self->computeMask( dimensions=self.maskSize, initialize=0, mask_rule=1)
	mask = mask and 1
	ptr_free, self.framedMask
	self.framedMask = ptr_new( mask, /no_copy )
end

;+=----------------------------------------------------------------------------
; Name  : mrRoiDot__define
; Type  : Private Procedure (constructor)
;=-----------------------------------------------------------------------------
pro mrRoiDot__define
	obj = { MRROIDOT				,$
		        inherits MRROI       $
		}
end
