;+=----------------------------------------------------------------------------
; Name    : init_modules
; RCS     : $Id: init_modules.pro,v 1.1 2004/11/11 11:14:47 olivert Exp olivert $
; Desc    : Instanciate the modules
;           For a start, this is done manually - later we may read the modules
;           from file, if this seems more appropriate
;           Modules are stored in an associative array
; Author  : (c) 2004 Oliver Thilmann
;=------------------------------------------------------------------------------
function init_modules, g

		; All modules are stored in a hash and can be accessed via their name.

	modnames = ['mod_exit'				,$ ; exit the program
	            'mod_close'				,$ ; close patient - delete all data
				'mod_prefs'				,$ ; preferences: loading, saving, changing
				'mod_logo'				,$ ; displays the logo, if no embedded module active
				'mod_loadperfseq'		,$ ; load the perfusion sequence and call basic calcs
				'mod_loadresultset'     ,$ ; load a previously calculated result set (b/w)
				'mod_save'              ,$ ; saving of images
				'mod_modinfo'			,$ ; display module version information
				'mod_about'             ,$ ; who's who
				'mod_aif'				,$ ; manual AIF selection
				'mod_calc'              ,$ ; the very basic calculations: baseline & concentration
				'mod_ssvd'				,$ ; standard SVD
				'mod_rsvd'				,$ ; reformulated SVD
				'mod_bbblc'				,$ ; blood brain barrier leakage correction
				'mod_imagebrowser'		,$ ; lets you browse all image sets in globals.imgSets
				'mod_colorcode'         ,$ ; color encoding of images
				'mod_imgarithmetics'    ,$ ; arithmetic operations on image sets
				'mod_dicomtools'        ,$ ; general tools for handling of DICOM images
				'mod_filebrowser'		 $ ; a simple file browser
			]

	nmods = n_elements( modnames )

	for i = 0, nmods-1 do begin
		module = obj_new( modnames[i], g )
		if( module eq obj_new() ) then begin
			x = dialog_message( 'Error initializing module ' + modnames[i], /error )
			return, 0
		end else begin
			(*g).modules->set, modnames[i], module
		end
	end

	return, 1
end