;+=----------------------------------------------------------------------------
; Name    : mod_close
; RCS     : $Id: mod_close__define.pro,v 1.1 2004/11/11 11:25:11 olivert Exp olivert $
; Desc    : Closes the patient, thus deleting all data from memory - a kind of
;           program reset
; Author  : (c) 2004 Oliver Thilmann
;=------------------------------------------------------------------------------
function mod_close::revision
	rev = '$Revision: 1.1 $'
	return, rev
end


;+=----------------------------------------------------------------------------
; Name  : mod_close::init
; Syntax: obj = obj_new('mod_close', type, exclusive )
;=-----------------------------------------------------------------------------
function mod_close::init, g
    res = self->lupemod::init( 'mod_close', 'noui', 1, g )
    if( res eq 0 ) then return, 0
	return, 1
end


;+=----------------------------------------------------------------------------
; Name  : mod_close::readyToExecute
; Desc  : Ask the user.
;=-----------------------------------------------------------------------------
function mod_close::readyToExecute, option
	i18n = (*self.g).i18n
	if( (*self.g).imgSets->count() eq 0 ) then return, 0 ; nothing there

	res = mrdialog_select( [i18n->get('close_confirmationMsg'),i18n->get('AreYouSure')], $
						   [i18n->get('Yes'),i18n->get('No')], /question, default_button=1, $
						   title=i18n->get('Question'), bsize=80, group_leader=(*self.g).topid)
	if( res eq 0 ) then return, 1 else return, 0
end


;+=----------------------------------------------------------------------------
; Name  : mod_close::execute
; Desc  : we're exclusive, so by now all other windows have been closed
;=-----------------------------------------------------------------------------
pro mod_close::execute, option
	imgsets = (*self.g).imgSets
	sets    = mrGetImageSet( imgSets, class='raw', count=nsets )
	for i = 0, nsets-1 do begin
		sets[i]->delete, /all, /progressbar
		imgsets->remove, sets[i]
		obj_destroy, sets[i]
	end
	sets    = mrGetImageSet( imgSets, class='aif', count=nsets )
	for i = 0, nsets-1 do begin
		sets[i]->delete, /all, /progressbar
		imgsets->remove, sets[i]
		obj_destroy, sets[i]
	end
end


;+=----------------------------------------------------------------------------
; Name  : mod_close__define
; Desc  : Private Procedure (constructor)
;=-----------------------------------------------------------------------------
pro mod_close__define
	obj = { MOD_CLOSE		   		,$
			inherits LUPEMOD   		 $
		  }
end
