;+=----------------------------------------------------------------------------
; Name    : mod_exit
; RCS     : $Id: mod_exit__define.pro,v 1.1 2004/11/11 11:26:56 olivert Exp olivert $
; Desc    : The exit function. Just checks whether to exit and exits - most
;           of the stuff is handled by the menu dispatcher.
; Author  : (c) 2004 Oliver Thilmann
;=------------------------------------------------------------------------------

function mod_exit::revision
	rev = '$Revision: 1.1 $'
	return, rev
end

;+=----------------------------------------------------------------------------
; Name  : mod_exit::init
; Syntax: obj = obj_new('lupemod', type, exclusive )
; Args  : <b>type</b>
;         One of 'noUI', 'top', 'embedded' (case-insensitive)
; Desc  :
;=-----------------------------------------------------------------------------
function mod_exit::init, g
	return, self->lupemod::init( 'mod_exit', 'noui', 1, g )
end


;+=----------------------------------------------------------------------------
; Name  : mod_exit::readyToExecute
; Syntax:
; Args  :
; Desc  :
;=-----------------------------------------------------------------------------
function mod_exit::readyToExecute, option
	i18n = (*self.g).i18n
	res = mrdialog_select(i18n->get('exit_question'), [i18n->get('Yes'),i18n->get('No')], /question, $
	                      default_button=1, bsize=[80,80], group_leader=(*self.g).topid, title=i18n->get('Question'))
	if( res eq 0 ) then return, 1 else return, 0
end


;+=----------------------------------------------------------------------------
; Name  : mod_exit::execute
; Syntax:
; Args  :
; Desc  :
;=-----------------------------------------------------------------------------
pro mod_exit::execute, option
	topmods = (*self.g).top_modules->get( /all, count=count )
	for i = 0, count-1 do begin
		topmods[i]->unmap
		(*self.g).top_modules->remove, topmods[i]
	end
	widget_control, (*self.g).topid, /destroy
end

;+=----------------------------------------------------------------------------
; Name  : mod_exit__define
; Desc  : Private Procedure (constructor)
;=-----------------------------------------------------------------------------
pro mod_exit__define
	obj = { MOD_EXIT		   ,$
			inherits LUPEMOD    $
		  }
end